{% extends 'base.html' %}
{% load static %}

{% block title %} Widget's Forum {% endblock %}
{% block heading %}
	<h1 id="header"> Welcome to Widget's Forum! </h1>
	<div class="separator-bar"></div>
{% endblock %}
{% block content %}
	<h2 class="subheader"> Forum Posts: </h2>
	<ul>
		{% for forumpost in forumposts|dictsortreversed:"pub_datetime" %}
		<li class="object-cell">
			<a href="{{ forumpost.get_absolute_url }}"> <span class="object-title">{{ forumpost.title }}</span> <span class="object-subtitle">by {{ forumpost.author.first_name }} {{ forumpost.author.last_name }}</span> </a>
		</li>
		{% endfor %}
    </ul>
	<div class="separator-bar"></div>
{% endblock %}
{% block navigation %}
	<button onclick="window.location.href='{% url 'forum:forumpost-add' %}';" class="action-button"> New Post </button>
    <div id="footer">
        <a href="{% url 'dashboard:index' %}">Dashboard</a>
        <a href="{% url 'announcements:index' %}">Announcements</a>
        <a href="{% url 'assignments:homePage' %}">Assignments</a>
        <a href="{% url 'widget_calendar:index' %}">Calendar</a>
    </div>
{% endblock %}